package com.zjsgfa.project.zjsgfa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zjsgfa.project.zjsgfa.mapper.SjZsjqkMapper;
import com.zjsgfa.project.zjsgfa.domain.SjZsjqk;
import com.zjsgfa.project.zjsgfa.service.ISjZsjqkService;

/**
 * 设计-注水井情况Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-02-04
 */
@Service
public class SjZsjqkServiceImpl implements ISjZsjqkService 
{
    @Autowired
    private SjZsjqkMapper sjZsjqkMapper;

    /**
     * 查询设计-注水井情况
     * 
     * @param id 设计-注水井情况主键
     * @return 设计-注水井情况
     */
    @Override
    public SjZsjqk selectSjZsjqkById(Long id)
    {
        return sjZsjqkMapper.selectSjZsjqkById(id);
    }

    /**
     * 查询设计-注水井情况列表
     * 
     * @param sjZsjqk 设计-注水井情况
     * @return 设计-注水井情况
     */
    @Override
    public List<SjZsjqk> selectSjZsjqkList(SjZsjqk sjZsjqk)
    {
        return sjZsjqkMapper.selectSjZsjqkList(sjZsjqk);
    }

    /**
     * 新增设计-注水井情况
     * 
     * @param sjZsjqk 设计-注水井情况
     * @return 结果
     */
    @Override
    public int insertSjZsjqk(SjZsjqk sjZsjqk)
    {
        return sjZsjqkMapper.insertSjZsjqk(sjZsjqk);
    }

    /**
     * 修改设计-注水井情况
     * 
     * @param sjZsjqk 设计-注水井情况
     * @return 结果
     */
    @Override
    public int updateSjZsjqk(SjZsjqk sjZsjqk)
    {
        return sjZsjqkMapper.updateSjZsjqk(sjZsjqk);
    }

    /**
     * 批量删除设计-注水井情况
     * 
     * @param ids 需要删除的设计-注水井情况主键
     * @return 结果
     */
    @Override
    public int deleteSjZsjqkByIds(Long[] ids)
    {
        return sjZsjqkMapper.deleteSjZsjqkByIds(ids);
    }

    /**
     * 删除设计-注水井情况信息
     * 
     * @param id 设计-注水井情况主键
     * @return 结果
     */
    @Override
    public int deleteSjZsjqkById(Long id)
    {
        return sjZsjqkMapper.deleteSjZsjqkById(id);
    }
}
